import requests

session = requests.Session()
session.headers["X-API-Key"] = YOUR_API_KEY

url = "https://sports-api.cloudbet.com/pub/v3/bets/history"

offset = 0
limit = 20
bets = []
while True:
    response_data = session.get(url, params={"limit": limit, "offset": offset}).json()
    bets += response_data["bets"]
    if len(response_data["bets"]) < limit:
        break
    offset += 20

print(f"{'EVENT':52} {'MARKET':50} {'STAKE':6} {'PRICE':7} {'STATUS':9} {'PROFIT'}")
for bet in bets:
    print(
        "{eventName:52} {marketUrl:50} {stake:6} {price:7} {status:9} {returnAmount}"
        .format_map(bet)
    )
